<?php
!function_exists('html') && exit('ERR');
unset($name,$uid,$email);
list($name,$uid,$email)=explode("\t",mymd5($eid,'DE') );
if($name&&$uid&&$email){
	
	$rsdb=$db->get_one("SELECT D.* FROM {$pre}memberdata D LEFT JOIN {$TB[table]} M ON D.uid=M.$TB[uid] WHERE M.$TB[uid]='$uid'");
	if($rsdb[email_yz]==1){
		showerr("請不要重復驗證");
	}elseif($rsdb){
		$db->query("UPDATE {$pre}memberdata SET email_yz='1',email='$email' WHERE uid='$uid'");
		add_user($rsdb[uid],$webdb[YZ_EmailMoney]);
		refreshto("$webdb[www_url]/","恭喜你!郵箱驗證succeed,同時你的積分增加了{$webdb[YZ_EmailMoney]}點",3);
	}else{
		showerr("郵箱驗證失敗,可能你修改了密碼,請重新提交驗證!");
	}
}else{
	showerr("驗證失敗!");
}
?>